<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="Printer" description="Печататель чека"
	fileName="NPCPrinter.jar" className="org.mati.npc.components.printer.NPCPrinter"
	version="8791" time="17.02.2009 01:05:07">

	<INLink name="InControl" description=""
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>

	<INLink name="InMap" description=""
		interfaceName="org.mati.npc.components.interfaces.MapListener"
		linksNumber="0" nullable="true">
	</INLink>

	<OUTLink name="OutError" description=""
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutErrorE"
		description=""
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="0" nullable="true">
	</OUTLink>
	
	<Attribute name="Template"
		description="Шаблон, ключ отделяется символами #, при этом в входящем Map должно быть значение для данного ключа"
		nullable="true" type="java.lang.String" defaultValue="                   БАНК МОДУЛЬ\n\nДАТА: #DATE#\nВРЕМЯ: #TIME#\nПУНКТ ПРИЁМА №: DEP-472\n\nКАРТА КЛИЕНТА №: #SCARD.OBJID#\nБЫЛА ПРОИЗВЕДЕНА СДАЧА КОНТЕЙНЕРА\nКОНТЕЙНЕР №: #CONTAINER.OBJID#\nОПЕРАЦИЯ №: #OPERATION#\n\n   БЛАГОДАРИМ ЗА ИСПОЛЬЗОВАНИЕ АВТОМАТИЧЕСКОГО\n                 ПУНКТА ПРИЕМА !\n\n">
	</Attribute>
	
</ClassComponent>